OnlyFans API
FanslyChats

Create Chat

Start a new chat (messaging group) with a Fansly user. Returns the created chat, including its id to use with the message endpoints. If a chat with this user already exists, Fansly returns the existing one.

POST
/api/fansly/{fanslyAccount}/chats
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Request Body

application/json

user_id*string

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats" \  -H "Content-Type: application/json" \  -d '{    "user_id": "qui"  }'
{
  "data": {
    "users": [
      {
        "userId": "800000000000000001",
        "permissionFlags": 65535,
        "userSettings": {
          "hidden": 1
        },
        "groupId": "200000000000000010"
      },
      {
        "userId": "800000000000000002",
        "permissionFlags": 65535,
        "userSettings": {
          "hidden": 1
        },
        "groupId": "200000000000000010",
        "dmPermissionFlags": [
          {
            "id": "200000000000000020",
            "accountId": "800000000000000002",
            "type": 0,
            "flags": 2,
            "metadata": "",
            "verificationFlags": 0,
            "verificationMetadata": "{}"
          },
          {
            "id": "200000000000000021",
            "accountId": "800000000000000002",
            "type": 0,
            "flags": 4,
            "metadata": "{\"4\":\"{\\\"subscriptionTierId\\\":\\\"\\\"}\"}",
            "verificationFlags": 0,
            "verificationMetadata": "{\"4\":\"{\\\"errors\\\":[]}\"}"
          }
        ]
      }
    ],
    "recipients": [],
    "lastMessage": null,
    "userSettings": null,
    "type": 1,
    "createdBy": "800000000000000001",
    "groupFlagsMetadata": "",
    "id": "200000000000000010",
    "permissionFlags": [],
    "hasDmPermissionFlags": false,
    "dmPermissionFlags": [
      {
        "id": "200000000000000020",
        "accountId": "800000000000000002",
        "type": 0,
        "flags": 2,
        "metadata": "",
        "verificationFlags": 0,
        "verificationMetadata": "{}"
      },
      {
        "id": "200000000000000021",
        "accountId": "800000000000000002",
        "type": 0,
        "flags": 4,
        "metadata": "{\"4\":\"{\\\"subscriptionTierId\\\":\\\"\\\"}\"}",
        "verificationFlags": 0,
        "verificationMetadata": "{\"4\":\"{\\\"errors\\\":[]}\"}"
      }
    ],
    "accountDmPermissionFlags": {
      "flags": 0,
      "metadata": "{}"
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}